#ifndef HISTOGRAMWIDGET_H
#define HISTOGRAMWIDGET_H

#include <QtGui/QWidget>
#include <QtGui/QMouseEvent>
#include "ui_histogramwidget.h"
#include "histogram.h"

class HistogramWidget : public QWidget
{
    Q_OBJECT

public slots:
    void notifyBufferChange(G12Buffer *buf);

signals:
	void maximumChanged(QString s);
	void leftChanged(QString s);
	void rightChanged(QString s);


public:
    HistogramWidget(QWidget *parent = 0);
    ~HistogramWidget();

    virtual void paintEvent(QPaintEvent *event);
    virtual void mouseMoveEvent(QMouseEvent *event);
private:
	int selectedH;
    Ui::HistogramWidgetClass ui;
    Histogram *hist;
};

#endif // HISTOGRAMWIDGET_H
